Remove webhook
curl --request DELETE \
--url https://instance.prod.onboardapp.io/v1/webhooks/{webhook_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://instance.prod.onboardapp.io/v1/webhooks/{webhook_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://instance.prod.onboardapp.io/v1/webhooks/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"message": "<string>",
"request_id": "req_9k4m2n1p3q",
"details": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}
}{
"error": {
"message": "<string>",
"request_id": "req_9k4m2n1p3q",
"details": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}
}{
"error": {
"message": "<string>",
"request_id": "req_9k4m2n1p3q",
"details": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}
}{
"error": {
"message": "<string>",
"request_id": "req_9k4m2n1p3q",
"details": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}
}Webhooks
Remove webhook
Remove a registered webhook endpoint. Events will no longer be delivered to this endpoint after removal.
DELETE
/
v1
/
webhooks
/
{webhook_id}
Remove webhook
Authorizations
Project-scoped API key for server-to-server authentication. Obtain keys from the Zenoo dashboard under Project Settings > API Keys. Staging and production environments use separate keys.
Path Parameters
Webhook identifier.
Response
Webhook removed.
⌘I